CMSIS-DSP: arm_dotproduct_example_f32.c File Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_dotproduct_example_f32.c File Reference

## Macros
#define | MAX_BLOCKSIZE
#define | DELTA

## Functions
int32_t | main (void)

## Variables
float32_t | srcA_buf_f32 [MAX_BLOCKSIZE]
float32_t | srcB_buf_f32 [MAX_BLOCKSIZE]
float32_t | refDotProdOut
float32_t | multOutput [MAX_BLOCKSIZE]
float32_t | testOutput
arm_status | status

## Macro Definition Documentation

#define DELTA

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().

#define MAX_BLOCKSIZE

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_dotproduct_example_f32.c.

References arm_add_f32(), ARM_MATH_TEST_FAILURE, arm_mult_f32(), DELTA, MAX_BLOCKSIZE, multOutput, refDotProdOut, srcA_buf_f32, srcB_buf_f32, status, and testOutput.

## Variable Documentation

float32_t multOutput[MAX_BLOCKSIZE]

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().

float32_t refDotProdOut

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().

float32_t srcA_buf_f32[MAX_BLOCKSIZE]

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().

float32_t srcB_buf_f32[MAX_BLOCKSIZE]

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().

arm_status status

Examples:
  arm_convolution_example_f32.c, arm_dotproduct_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_graphic_equalizer_example_q31.c, arm_linear_interp_example_f32.c, arm_matrix_example_f32.c, arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

Referenced by arm_cfft_radix2_init_f32(), arm_cfft_radix2_init_q15(), arm_cfft_radix2_init_q31(), arm_cfft_radix4_init_f32(), arm_cfft_radix4_init_q15(), arm_cfft_radix4_init_q31(), arm_conv_partial_f32(), arm_conv_partial_fast_opt_q15(), arm_conv_partial_fast_q15(), arm_conv_partial_fast_q31(), arm_conv_partial_opt_q15(), arm_conv_partial_opt_q7(), arm_conv_partial_q15(), arm_conv_partial_q31(), arm_conv_partial_q7(), arm_dct4_init_f32(), arm_dct4_init_q15(), arm_dct4_init_q31(), arm_fir_decimate_init_f32(), arm_fir_decimate_init_q15(), arm_fir_decimate_init_q31(), arm_fir_init_q15(), arm_fir_interpolate_init_f32(), arm_fir_interpolate_init_q15(), arm_fir_interpolate_init_q31(), arm_mat_add_f32(), arm_mat_add_q15(), arm_mat_add_q31(), arm_mat_cmplx_mult_f32(), arm_mat_cmplx_mult_q15(), arm_mat_cmplx_mult_q31(), arm_mat_inverse_f32(), arm_mat_inverse_f64(), arm_mat_mult_f32(), arm_mat_mult_fast_q15(), arm_mat_mult_fast_q31(), arm_mat_mult_q15(), arm_mat_mult_q31(), arm_mat_scale_f32(), arm_mat_scale_q15(), arm_mat_scale_q31(), arm_mat_sub_f32(), arm_mat_sub_q15(), arm_mat_sub_q31(), arm_mat_trans_f32(), arm_mat_trans_q15(), arm_mat_trans_q31(), arm_rfft_fast_init_f32(), arm_rfft_init_f32(), arm_rfft_init_q15(), arm_rfft_init_q31(), and main().

float32_t testOutput

Examples:
  arm_dotproduct_example_f32.c.

Referenced by main().